OSPF6D(8)

NAME
ospf6d - an OSPF routing engine for use with Zebra and IPv6

SYNOPSIS
ospf6d [ -dhv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ] [ -A vty-address ] [ -u user ]

DESCRIPTION
ospf6d is a routing component that works with the zebra routing engine. ospf6d.

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/ospf6d.conf.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When ospf6d starts its process idenifier is written to pid-file. The init system uses the recorded PID to stop or restart ospf6d. The likely default is /var/run/ospf6d.pid.

-P, --vty_port port-number
    Specify the port that the ospf6d VTY will listen on. This defaults to 2606, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the ospf6d VTY will listen on. Default is all intrefaces.

-u, --user user
    Specify the user ... Default is quagga.

-v, --version
    Print the version and exit.

COMMANDS
router ospf6 router zebra -- (Move routes into kernel table) network [NETWORK] area [OSPF6-AREA-ID] no network [NETWORK] show ip ospf6 interface show ip ospf6 neighbor show ip ospf6 database show ip ospf6 route debug ospf6 ism debug ospf6 packet debug ospf6 nsm

FILES

/usr/local/sbin/ospf6d
    The default location of the ospf6d binary.

/usr/local/etc/ospf6d.conf
    The default location of the ospf6d config file.

$(PWD)/ospf6d.log
    If the ospf6d process is config'd to output logs to a file, then you will find this file in the directory where you started ospf6d.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The ospf6d process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. ospf6d supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripd(8), ripngd(8), ospfd(8), bgpd(8), zebra(8), vtysh(1)

BUGS
ospf6d eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.